org.eclipse.rdf4j.repository

## Class SparqlAggregatesTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.SparqlAggregatesTest

-     public abstract class SparqlAggregatesTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `concatMbox`
    `String` | `concatOptionalMbox`
    `String` | `countMbox`
    `String` | `countOptionalMbox`
    `String` | `selectNameMbox`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparqlAggregatesTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()`
    `protected abstract Repository` | `newRepository()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testConcat()`
    `void` | `testConcatOptional()`
    `void` | `testCount()`
    `void` | `testCountOptional()`
    `void` | `testSelect()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selectNameMbox

          public String selectNameMbox

    - #### concatMbox

          public String concatMbox

    - #### concatOptionalMbox

          public String concatOptionalMbox

    - #### countMbox

          public String countMbox

    - #### countOptionalMbox

          public String countOptionalMbox

  - ### Constructor Detail

    - #### SparqlAggregatesTest

          public SparqlAggregatesTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSelect

          public void testSelect()
                          throws Exception

      Throws:
        `Exception`

    - #### testConcat

          public void testConcat()
                          throws Exception

      Throws:
        `Exception`

    - #### testConcatOptional

          public void testConcatOptional()
                                  throws Exception

      Throws:
        `Exception`

    - #### testCount

          public void testCount()
                         throws Exception

      Throws:
        `Exception`

    - #### testCountOptional

          public void testCountOptional()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.